package dev.pfaff.altargui.element;

import dev.pfaff.altargui.Canvas;
import dev.pfaff.altargui.LayoutContext;
import dev.pfaff.altargui.WidgetInstance;

public interface PostPainter extends Cullable {
	/**
	 * Paint function called after anything mounted in
	 * {@link WidgetInstance#layout(LayoutContext)}.
	 *
	 * @param time      the timestamp of the frame relative to an arbitrary epoch.
	 * @param canvas    vertex consumers
	 */
	void paintPost(long time, Canvas canvas);
}
